classification
Title: Redundand information on Doc/reference/lexical_analysis.rst
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Guilherme, Mariatta, aronacher, docs@python, gvanrossum, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2017-09-24 14:56 by Guilherme, last changed 2017-09-25 23:25 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3691 merged Guilherme, 2017-09-24 14:56
PR 3754 merged python-dev, 2017-09-25 23:17
Messages (12)
msg302859 - (view) Author: Guilherme Praciano Karst Caminha (Guilherme) * Date: 2017-09-24 14:56
The file Doc/reference/lexical_analysis.rst has at least two redundant parts.

The first one is quoted below:
"As of Python 3.3 it is possible again to prefix string literals with a u prefix to simplify maintenance of dual 2.x and 3.x codebases."

This is repeated a couple paragraphs after:
"New in version 3.3: Support for the unicode legacy literal (u'value') was reintroduced to simplify the maintenance of dual Python 2.x and 3.x codebases. See PEP 414 for more information."


Also, this other one:
"Note that numeric literals do not include a sign; a phrase like -1 is actually an expression composed of the unary operator - and the literal 1."

Is literally repeated twice, only that on the first time it has quotes around the - operator:
"Note that numeric literals do not include a sign; a phrase like -1 is actually an expression composed of the unary operator ‘-‘ and the literal 1."
msg302860 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-09-24 15:16
The first pair was added in 50364b4a5c8f02ec05d33928e29a8780d9acf968 by Armin Ronacher.

The duplicate of the other phrase was introduced in 60f2f0cf8e10c94693dfea8937b7feabeffe5744.
msg302862 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-09-24 15:36
I think we can remove 
```
As of Python 3.3 it is possible again to prefix ..."
```
and keep the other one where it says:
```
.. versionadded:: 3.3
   Support for the unicode legacy literal ....
```

About the sentence about numeric literals that appears twice: it appears on different sections of the language reference documentation. It's very likely for a person to only read one section and not the other. I think it's ok to have them in different places like that.
msg302863 - (view) Author: Guilherme Praciano Karst Caminha (Guilherme) * Date: 2017-09-24 15:39
I believe that the sentence regarding the - operator also applies to Integer literals and Imaginary literals. But it only appears on the Floating point literals and Numeric literals sections.
msg302864 - (view) Author: Guilherme Praciano Karst Caminha (Guilherme) * Date: 2017-09-24 15:41
Also, "Numeric literals" is a more general section, so rules that apply for the three types of numeric literals should probably go there to avoid repetition. Maybe the Integer, Floating point and Imaginary literal sections should be one section level deeper, so that they are under the Numeric Literal section.
msg302890 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2017-09-24 22:32
Is there anything here that requires my attention?
msg302912 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-09-25 05:33
Guido, in 60f2f0cf8e10c94693dfea8937b7feabeffe5744 you added the phrase "Note that numeric literals do not include a sign; ..." in the "Numeric literals" section. Did you mean moving it from the "Floating point literals" section or creating a duplicate?
msg302971 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2017-09-25 19:04
That's *really* old. Please clean up as you see fit!

On Sep 24, 2017 10:33 PM, "Serhiy Storchaka" <report@bugs.python.org> wrote:

Serhiy Storchaka added the comment:

Guido, in 60f2f0cf8e10c94693dfea8937b7feabeffe5744 you added the phrase
"Note that numeric literals do not include a sign; ..." in the "Numeric
literals" section. Did you mean moving it from the "Floating point
literals" section or creating a duplicate?

----------

_______________________________________
Python tracker <report@bugs.python.org>
<https://bugs.python.org/issue31571>
_______________________________________
msg302974 - (view) Author: Guilherme Praciano Karst Caminha (Guilherme) * Date: 2017-09-25 19:43
In that case, I believe the PR I've opened should be fine?
msg302989 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-09-25 23:16
New changeset 4a2d00cb4525fcb3209f04531472ba6a359ed418 by Mariatta (Guilherme Caminha) in branch 'master':
bpo-31571: Remove duplicated info in Lexical Analysis documentation (GH-3691)
https://github.com/python/cpython/commit/4a2d00cb4525fcb3209f04531472ba6a359ed418
msg302990 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-09-25 23:23
New changeset 26b940f762f0b306ff894601003f51a8d036e285 by Mariatta (Miss Islington (bot)) in branch '3.6':
bpo-31571: Remove duplicated info in Lexical Analysis documentation (GH-3691) (GH-3754)
https://github.com/python/cpython/commit/26b940f762f0b306ff894601003f51a8d036e285
msg302991 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-09-25 23:25
The proposed change seems fine. Merged and backported.
Thanks everyone!
History
Date User Action Args
2017-09-25 23:25:56Mariattasetstatus: open -> closed
resolution: fixed
messages: + msg302991

stage: patch review -> resolved
2017-09-25 23:23:35Mariattasetmessages: + msg302990
2017-09-25 23:17:08python-devsetkeywords: + patch
pull_requests: + pull_request3741
2017-09-25 23:16:56Mariattasetmessages: + msg302989
2017-09-25 20:01:11Mariattasetstage: patch review
versions: + Python 3.6
2017-09-25 19:43:35Guilhermesetmessages: + msg302974
2017-09-25 19:04:17gvanrossumsetmessages: + msg302971
2017-09-25 05:33:31serhiy.storchakasetmessages: + msg302912
2017-09-24 22:32:15gvanrossumsetmessages: + msg302890
2017-09-24 15:41:49Guilhermesetmessages: + msg302864
2017-09-24 15:39:23Guilhermesetmessages: + msg302863
2017-09-24 15:36:08Mariattasetnosy: + Mariatta
messages: + msg302862
2017-09-24 15:16:18serhiy.storchakasetnosy: + serhiy.storchaka, aronacher, gvanrossum
messages: + msg302860
2017-09-24 14:56:17Guilhermecreate